### Encoding: latin1

### Name: MIMmodels
### Title: Create undirected MIM models
### Aliases: mim chainmim DF DF.mim deviance.mim likelihood
### Keywords: models

### ** Examples


data(rats)
gmd.rats <- as.gmData(rats)
valueLabels(gmd.rats)
observations(gmd.rats)

m1   <- mim("Sex:Drug/Sex:Drug:W1+Sex:Drug:W2/W1:W2", data=gmd.rats)
summary(m1)
m1f  <- fit(m1)
summary(m1f)

m.main <- mim(".",  data=gmd.rats)
m.sat  <- mim("..",  data=gmd.rats)
m.hsat <- mim("..h", data=gmd.rats)

summary(m.main); 
summary(m.sat); 
summary(m.hsat)

edges(m.hsat)
nodes(m.hsat)

m.main <- mim(".",   data=gmd.rats, marginal=c("Sex", "Drug", "W1"))
m.sat  <- mim("..",  data=gmd.rats, marginal=c("Sex", "Drug", "W1"))
m.hsat <- mim("..h", data=gmd.rats, marginal=c("Sex", "Drug", "W1"))

plot(m.hsat)

m.main <- fit(mim(".",  data=gmd.rats))
m.sat  <- fit(mim("..",  data=gmd.rats))
m.hsat <- fit(mim("..h", data=gmd.rats))

summary(m.main); 
summary(m.sat); 
summary(m.hsat)

# To generate an nth order hierarchical log-linear model for discrete
# data you can do

data(HairEyeColor)
mim(nthOrderModel(names(dimnames(HairEyeColor)),order=2),data=as.gmData(HairEyeColor))




